Get an ID Card Beta

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lightspeed Restaurant K-Series MCP server": {
    "url": "https://api-docs.lsk.lightspeed.app/mcp"
  }
}

Close
GET /id-cards/v1/business-locations/{businessLocationId}/cards/{cardId}

Returns an ID card of a specific business location, with the identifiers of the consumer it is currently linked to. The response contains no personal data.

Path parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

  • cardId integer(int64) Required

    The unique identifier for the ID card.

Responses

  • 200 application/json

    The ID card.

    Hide response attributes Show response attributes object
    • id integer(int64)

      The unique identifier for the ID card.

    • batchId integer(int64)

      The unique identifier for the batch the card belongs to.

    • consumerId integer(int64)

      The unique identifier for the consumer the card is currently linked to. It can differ from the one returned when the card was created if the card was linked to another consumer since. null when the card is not linked to a consumer.

    • consumerRecordId integer(int64)

      The unique identifier for the consumer record of the consumer the card is currently linked to. null when the card is not linked to a consumer or the consumer has no record at the card's business.

    • revoked boolean

      Whether the card is revoked.

  • 400

    Bad Request

  • 403

    The caller has no access to this business location.

  • 404

    The ID card was not found at this business location, for example because it belongs to another business location.

GET /id-cards/v1/business-locations/{businessLocationId}/cards/{cardId}
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/id-cards/v1/business-locations/{businessLocationId}/cards/{cardId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": 98765,
  "batchId": 12345,
  "consumerId": 13579,
  "consumerRecordId": 54321,
  "revoked": false
}